发新帖

希望升级系统自带的flatpak版本

feiran / 2019-8-14 10:23
浏览: 522 / 回复: 9
查看: 522|回复: 11

希望升级系统自带的flatpak版本

[复制链接]
收藏
跳转到指定楼层
现在用的Deepin 15.11,自带的flatpak版本是0.8.9,在flathub.org上安装软件时,有不少都提示flatpak版本过低,自己尝试升级没成功,希望官方升级一下,或者给出升级的方法,谢谢!

40

主题

4766

帖子

1万

积分

drw-r-----

Rank: 7Rank: 7Rank: 7

积分
14453

活跃会员热心会员论坛元老

sored520 发表于 2019-8-14 10:57:25 | 显示全部楼层
估计暂时弃坑了吧

28

主题

2104

帖子

6046

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
6046
duanyao 发表于 2019-8-14 11:19:13 | 显示全部楼层
你需要哪个版本?panda 源目前是 0.11.7 ,然而我试了一下并不能简单地在稳定版上安装 。
你可以试试用 debian 的 stretch-backports 源:
https://github.com/linuxdeepin/developer-center/issues/1384
https://backports.debian.org/Instructions/

flatpak 不能安装和升级自身,也是个滑稽的设计。

75

主题

4017

帖子

1万

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
10114
QQ
jianguo922 志愿者 发表于 2019-8-14 12:24:56 | 显示全部楼层
在全力开发Deepin20大版本
深度值得深入!深度有你更精彩
https://www.52pojie.cn/home.php?mod=space&uid=275571
电脑型号三星370r5v-s01  CPU:Intel酷睿i53210M         
内存:4GB+2GB×1    显卡芯片:AMD Radeon HD 8750M(2G)

57

主题

2216

帖子

8206

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
8206
lidanger 志愿者 发表于 2019-11-14 12:43:27 | 显示全部楼层
duanyao 发表于 2019-8-14 11:19
你需要哪个版本?panda 源目前是 0.11.7 ,然而我试了一下并不能简单地在稳定版上安装 。
你可以试试用 deb ...

刚试了下添加 backports 源,安装的 flatpak 版本是 1.2.4,github 上看了下是今年 3 月底的版本
深度截图_dde-desktop_20191114124009.png

士别三日当刮目相待

22

主题

376

帖子

1145

积分

-rw-r--r--

Rank: 4

积分
1145
lbygljq 发表于 2019-11-15 19:20:47 | 显示全部楼层
我就是为了安装 GMIP2.10.14,才添加 backports 源,安装的 flatpak 版本是 1.2.4。

22

主题

653

帖子

2998

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2998
lxflhy 发表于 2019-11-15 19:46:59 | 显示全部楼层
lidanger 发表于 2019-11-14 12:43
刚试了下添加 backports 源,安装的 flatpak 版本是 1.2.4,github 上看了下是今年 3 月底的版本

这个源咋添加?菜鸟求教
电脑:联想笔记本Y40-70AT-IFI
CPU:INTEL i5 4210U 1.7GHZ 2.4GHZ
内存:8G
集显:INTEL Graphics HD 4400
独显:AMD Radeon R9 M275  2GB
操作系统:Windows 10 / Deepin 15.11
我在使用deepin遇到的问题和解决方法:http://blog.sina.com.cn/s/articlelist_6481008946_0_1.html

22

主题

653

帖子

2998

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2998
lxflhy 发表于 2019-11-15 19:47:31 | 显示全部楼层
lbygljq 发表于 2019-11-15 19:20
我就是为了安装 GMIP2.10.14,才添加 backports 源,安装的 flatpak 版本是 1.2.4。

这个源咋添加?菜鸟求教
电脑:联想笔记本Y40-70AT-IFI
CPU:INTEL i5 4210U 1.7GHZ 2.4GHZ
内存:8G
集显:INTEL Graphics HD 4400
独显:AMD Radeon R9 M275  2GB
操作系统:Windows 10 / Deepin 15.11
我在使用deepin遇到的问题和解决方法:http://blog.sina.com.cn/s/articlelist_6481008946_0_1.html

35

主题

2119

帖子

7225

积分

drw-r-----

Rank: 7Rank: 7Rank: 7

积分
7225
abcfy2 发表于 2019-11-15 20:06:56 | 显示全部楼层
lxflhy 发表于 2019-11-15 19:47
这个源咋添加?菜鸟求教

编辑/etc/apt/sources.list文件(需要root权限),添加一行
  1. deb https://mirrors.tuna.tsinghua.edu.cn/debian/ stretch-backports main contrib non-free
复制代码


然后刷新软件仓库
  1. sudo apt update
复制代码


由于这个软件仓库的优先级比较低,因此如果你想使用这个仓库,需要指明软件源,以本主题的升级flatpak为例

  1. sudo apt install -y flatpak -t stretch-backports
复制代码


apt/apt-get命令使用-t参数指明软件源即可。类似的还有sudo apt full-upgrade -t stretch-backports

点评

谢谢帮助,搞定了  发表于 2019-11-15 20:18
Don't be shy. Just try!
I've no intention to go back alive when I came to this world.
-------------------------------------
我来到这个世上就没打算活着回去
野生服务器运维一枚。目前主要运维CentOS 6/7, Ubuntu Server LTS全系列

22

主题

376

帖子

1145

积分

-rw-r--r--

Rank: 4

积分
1145
lbygljq 发表于 2019-11-15 20:09:37 | 显示全部楼层
lxflhy 发表于 2019-11-15 19:47
这个源咋添加?菜鸟求教

步骤1:添加stretch-backports源
    命令行操作:sudo dedit /etc/apt/sources.list.d/debian-stretch-backports.list
内容如下:
## debian 的 stretch-backports 仓库
deb https://mirrors.nju.edu.cn/debian stretch-backports main contrib non-free
退出编辑。
步骤2:安装最新版Flatpak
    命令行操作:
sudo apt update
sudo apt -t stretch-backports install flatpak
flatpak --version



返回版本号:1.2.4

点评

谢谢帮助,搞定了  发表于 2019-11-15 20:20
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部